/** @link https://mycolor.space/?hex=%232BCFD9&sub=1 */

/** @select2 update */
.select2-container {
    width: 100% !important;
    font-size: 1.3rem;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    padding: .3rem .7rem;
    border-color: #0074a3;
    color: #333;
}

.vex.vex-theme-plain .vex-dialog-button.vex-dialog-button-primary {
    background-color: #0074a3;
}

/* 
 * Placeholder tracked event 
 *
 * @see https://css-tricks.com/aspect-ratio-boxes/
 */
.thumbnail {
    position: relative;
    display: block;
    margin: 0 auto 1rem auto;    
    border: 1px solid #ccc;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;    
    background-color: #333;
    overflow: hidden;
}

#frame {
    position: absolute;
    top: -9999px;
    right: -9999px;
    left: -9999px;
    bottom: -9999px;
    margin: auto;
    width: 100%;
}
  
  
/** Button */
.button {
    display: block;
    width: 100%;
    border: none;
    padding: .7rem .7rem;
    margin: 0 0 1rem 0;
    background-color: #b6d741;
    color: #003b46;
    font-size: 1rem;
    line-height: 1;
    text-align: center;
    cursor: pointer;
    border-radius: .5rem;
}


/** Hide the input file to avoid to show the name */
.button input[type="file"] {
    display: none;
}


/** Forms */
.form-label {
    display: block;
    margin: 0 0 .5rem 0;
}

.form-label > div {
    line-height: 1;
    font-size: 1rem;
    display: block;
    margin: 0 0 .3rem 0;
    color: inherit;
}

.form-label textarea,
.form-label input {
    width: 100%;
    padding: .3rem .7rem;
    font-size: 1.3rem;
    color: #333;
    font-family: inherit;
}

.form-label input:focus {
    background-color: #999;
}

.form-check {
    display: block;
    margin: 1rem 0;
    border-bottom: 1px dotted #ccc;
    padding: .3rem 0;
}

.form-check input[type="checkbox"] {
    display: inline-block;
    vertical-align: top;
}

.form-check > div {
    display: inline-block;
    vertical-align: top;
}


/** States */
.visible-when-geolocation,
.visible-when-no-geolocation {
    display: none;
}

html.geolocation-state .visible-when-no-geolocation {
    display: none;
}

html.geolocation-state .visible-when-geolocation {
    display: block;
}

html.no-geolocation-state .visible-when-no-geolocation {
    display: block;
}

html.no-geolocation-state .visible-when-geolocation {
    display: none;
}

.login-page {
    max-width: 100%;
    margin: auto;
}

.form {
    position: relative;
    z-index: 1;
    background: #ffffff;
    padding: 1rem;
}

.form label {
    display: block;
}

.form input[type="text"],
.form input[type="password"],
.form input[type="email"] {
    font-family: inherit;
    outline: 0;
    background: #f2f2f2;
    width: 100%;
    border: 0;
    margin: 0 0 1rem;
    padding: .75rem;
    font-size: 1rem;
    border-radius: .5rem;
    box-shadow: inset 0 0.125rem 0.125rem rgba(0,0,0,.1);
}

.form input:focus {
    background-color: #e7e7e7;
}

.form .message {
    margin: 15px 0 0;
    color: #b3b3b3;
    font-size: 12px;
}

.form .message a {
    color: #394955;
    text-decoration: none;
}

.login-form-register {
    display: block;
    margin: 1rem 0;
    font-size: 1rem;
}

.login-form-register a {
    color: #394955;
}

/** 
 * Avathar 
 *
 * @link https://codepen.io/mfucek1/pen/egBPwO
 */
.avatar-wrapper {
    position: relative;
    height: 12rem;
    width: 12rem;
    margin: 3rem auto;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 1px 1px 15px -5px black;
    transition: all .3s ease;
}

.avatar-wrapper:hover {
    transform: scale(1.05);
    cursor: pointer;
}

.avatar-wrapper:hover .profile-pic:after {
    opacity: 0;
}

.avatar-wrapper:hover .profile-pic {
    opacity: .5;
}

.avatar-wrapper .profile-pic {
    height: 100%;
    width: 100%;
    transition: all .3s ease;
}

.avatar-wrapper .profile-pic:after {
  font-family: "Font Awesome 5 Free";
  content: "\f007";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  font-size: 8rem;
  background: #ecf0f1;
  color: #34495e;
  text-align: center;
}

.avatar-wrapper .upload-button {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.avatar-wrapper .upload-button .fa-arrow-circle-up {
  position: absolute;
  font-size: 8rem;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  line-height: 12rem;
  text-align: center;
  opacity: 0;
  transition: all .3s ease;
  color: #34495e;
}

.avatar-wrapper .upload-button:hover .fa-arrow-circle-up {
  opacity: .9;
}


/* Reports */
.report-wrapper {
    text-decoration: none;
}

.report {
    border-radius: .5rem;
    background-color: #ffeccc;
    margin: 0 0 1rem 0;
    padding: 1rem;
}

.report figure {
    position: relative;
    overflow: hidden;
    height: 0;
    padding-bottom: 56%;
    margin: 0 0 1rem 0;
}

.report figure img {
    max-width: 120%;
    position: absolute;
    top: -9999px;
    right: -9999px;
    bottom: -9999px;
    left: -9999px;
    margin: auto;
    min-width: 100%;
}

.report figcaption {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #333;
    color: white;
    padding: .3rem .7rem;
}

.report-date,
.report-location {
    font-size: .75rem;
    display: block;
    text-align: right;
    color: #333;
}

.report-transcription {
    font-size: 1rem;
    display: block;
    color: #333;
}
 
.report-tags {
    display: block;
    color: white;
    font-size: .75rem;
}

.report-tags span {
    display: inline-block;
    padding: .3rem .7rem;
    background-color: #8C7357;
    margin: 0 .25rem .25rem 0;
    border-radius: .33rem;
    vertical-align: top;
}


/** KPIs */
.kpi {
    position: relative;
    margin: 1rem 0;
    border: none;
    height: 15rem;
    background-color: white;
}

.kpi-header {
    position: relative;
    background-color: #333;
    color: white;
}

.kpi-title {
    margin: 0 2rem 0 0;
    font-size: 1rem;
    line-height: 1.2;
    padding: .7rem 1rem;
}

.btn-group {
    position: relative;
}

.thumbnail .button {
    border-radius: 0;
}

.record {
    position: relative;
    background-color: #f8797d;
    width: 3rem;
    height: 3rem;
    display: inline-block;
    vertical-align: top;
    border-radius: 100%;
    border: 0;
    outline: 0;
}

.record:after {
    content: "";
    position: relative;
    top: 50%;
    height: 50%;
    width: .5rem;
    height: .5rem;
    border-radius: 100%;
    background-color: white;
}

.routes-iframe {
    border: 0;
    width: 100%;
    height: 100%;
    min-height: 30rem;
}

.chart-iframe {
    border: 0;
    width: 100%;
    height: 100%;
    min-height: 17rem;
}

.chart-iframe-map {
    margin-top: -1rem;
    visibility: hidden;
    min-height: 40rem;
}

.chart-iframe-map.loaded {
    visibility: visible;
}

.chart {
    
}

.chart-title {
    background-color: #49c7ff;
    color: white;
    margin: 0 -1rem 1rem -1rem;
    padding: .3rem 1rem;
    font-size: 1rem;
    text-align: center;
}

.notifications {
    margin-top: -1rem;
}

.notification {
    border-bottom: 1px solid #ccc;
    padding: 1rem;
    margin: 0 -1rem;
}

.notification:nth-child(odd) {
    background-color: #eee;
}

.notification-title {
    margin: 0;
    font-size: 1.5rem;
}

.notification-title small {
    display: block;
}

.notification-description {
    
}

.notification-link {
    text-align: center;
    display: block;
    text-decoration: inherit;
    background: #666;
    color: white;
    margin: .5rem 0 0 0;
    padding: .7rem 0;
}












.chatbot-list {
    list-style: none;
    padding: 0;
    margin: 0 0 2rem 0;
}

.chatbot-list-item {
    border-bottom: 1px solid #ccc;
}

.chatbot-list-anchor {
    position: relative;
    display: block;
    padding: .3rem 5rem .3rem .7rem;
    background-color: #f0f0f0;
    text-decoration: none;
    line-height: 1.5;
    color: #333;
    transition: background-color .1s ease-out;
}

.chatbot-list-anchor:hover {
    background-color: #e0e0e0;
}




.chatbot-list-name {
    font-weight: bold;
}

.chatbot-list-description {
    display: block;
    font-style: italic;
    font-size: .85em;
    overflow: hidden;

    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.chatbot-list-state {
    position: absolute;
    top: 50%;
    right: 1rem;
    margin-top: -0.5rem;
    display: inline-block;
    vertical-align: middle;
    background-color: #ff2a61;
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
}

.chatbot-list-state.is-running {
    background-color: #58bc4d;
}




.chatbots-search-label {
    position: relative;
    margin-bottom: 1rem;
}

.chatbots-search-label > i {
    position: absolute;
    top: 50%;
    right: 0.75rem;
    font-size: 1.5rem;
    color: #777;
    width: 1.5rem;
    height: 1.5rem;
    margin-top: -0.75rem;
}

.chatbot-list-deploy {
    position: absolute;
    right: 3rem;
    top: 50%;
    margin-top: -1rem;
}

.chatbot-list-deploy > i {
    display: none;
    font-size: 2rem;
    color: #acac9a;
}

